RAPMAP_QUASIINDEX(1)

NAME
rapmap_quasiindex - rapmap module to build a suffix array-based (SA) index

SYNOPSIS
rapmap quasiindex [-x <positive integer <= # cores>] [-p] [-n] [-k <positive integer less than 32>] -i <path> -t <path> [--] [--version] [-h]

DESCRIPTION
RapMap Indexer

RapMap is a testing ground for ideas in quasi-mapping / (lightweight / pseudo) transcriptome alignment. That means that, at this point, it is somewhat experimental. The develop branch will have the latest improvements and additions, but is not guaranteed to be stable between commits. Breaking changes to the master branch will be accompanied by a tag to the version before the breaking change. Currently, RapMap is a stand-alone quasi-mapper that can be used with other tools. It is also being used as part of Sailfish and Salmon. Eventually, the hope is to create and stabilize an API so that it can be used as a library from other tools.

OPTIONS

-x, --numThreads <positive integer <= #cores>
    Use this many threads to build the perfect hash function

-p, --perfectHash
    Use a perfect hash instead of dense hash --- somewhat slows construction, but uses less memory

-n, --noClip
    Don't clip poly-A tails from the ends of target sequences

-k, --klen <positive integer less than 32>
    The length of k-mer to index

-i, --index <path>
    (required) The location where the index should be written

-t, --transcripts <path>
    (required) The transcript file to be indexed

--, --ignore_rest
    Ignores the rest of the labeled arguments following this flag.

--version
    Displays version information and exits.

-h,  --help
    Displays usage information and exits.

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.